org.apache.solr.client.solrj.impl

## Class BaseHttpSolrClient.RemoteExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.solr.common.SolrException
        - - org.apache.solr.client.solrj.impl.BaseHttpSolrClient.RemoteSolrException
          - - org.apache.solr.client.solrj.impl.HttpSolrClient.RemoteSolrException
            - - org.apache.solr.client.solrj.impl.BaseHttpSolrClient.RemoteExecutionException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  HttpSolrClient.RemoteExecutionException

Enclosing class:
  BaseHttpSolrClient

    public static class BaseHttpSolrClient.RemoteExecutionException
    extends HttpSolrClient.RemoteSolrException

This should be thrown when a server has an error in executing the request and it sends a proper payload back to the client

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.common.SolrException

`SolrException.ErrorCode`

### Field Summary

### Fields inherited from class org.apache.solr.common.SolrException

`ERROR_CLASS, ignorePatterns, metadata, ROOT_ERROR_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`RemoteExecutionException(String remoteHost, int code, String msg, NamedList meta)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static HttpSolrClient.RemoteExecutionException` `create(String host, NamedList errResponse)`
`NamedList` `getMetaData()`

### Methods inherited from class org.apache.solr.common.SolrException

`code, doIgnore, getMetadata, getMetadata, getRootCause, getRootThrowable, getThrowable, log, log, log, log, logDebugWithMdc, logInfoWithMdc, logWarnWithMdc, setMetadata, setMetadata, toStr, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RemoteExecutionException

    public RemoteExecutionException(String remoteHost,
                                    int code,
                                    String msg,
                                    NamedList meta)

### Method Detail

#### create

    public static HttpSolrClient.RemoteExecutionException create(String host,
                                                                 NamedList errResponse)

#### getMetaData

    public NamedList getMetaData()